<?php

// This include file is used to display site access, bans, and warnings.
// As coded, it is called from the admin/leftbanner.php file of a TNG revision 5.1.4 installation
// This file should be placed in the admin folder of the TNG installation directory
// 
// 
// Customizations:
//   - check the user configurable values below
// 
// Revision 1.0, Wed Aug 16, 2006
// Brian McFadyen

// The following parameter is user configurable, it must match the check_access.php variable of the same name

	$access_table = "site_access";   // The TNG table containing the access data,created by check_access.php

include("../begin.php");
$custommeta = "../meta.html";
$customheader = "../meta.html";
$customfooter = "../footer.html";
include("../genlib.php");
tng_db_connect($database_host,$database_name,$database_username,$database_password) or exit;
include($cms[tngpath] . "checklogin.php");

$sorttype="none";

if(isset($HTTP_POST_VARS[sort])) $sorttype = $HTTP_POST_VARS[sort];

$db_query="SELECT * from $access_table order by hit_ban DESC,hit_warn DESC,total_rip DESC,hit_count DESC";

if($sorttype === "addr"){
	$db_query="SELECT INET_ATON(host_ip) as bin_ip, host_ip, host_name, hit_time, hit_count, total_rip, hit_warn, hit_ban, hit_refer from $access_table order by bin_ip, hit_ban DESC,hit_warn DESC,total_rip DESC,hit_count DESC";
} elseif ($sorttype === "host"){
	$db_query="SELECT * from $access_table order by host_name,hit_time DESC,hit_ban DESC,hit_warn DESC,total_rip DESC,hit_count DESC";
} elseif ($sorttype === "date"){
	$db_query="SELECT * from $access_table order by hit_time DESC,hit_ban DESC,hit_warn DESC,total_rip DESC,hit_count DESC";
} elseif ($sorttype === "page"){
	$db_query="SELECT * from $access_table order by hit_count DESC, hit_ban DESC,hit_warn DESC,total_rip DESC";
}

$result = mysql_query($db_query);
?>
</head>

<body background="../background.gif">
<div align="center">
<table width="100%" border="0" cellpadding="5" class="lightback">
<tr class="fieldnameback">
	<td>
		<span class="whiteheader"><font size="5"><?php echo "Access and Hammer Stats"; ?></font></span>
	</td>
</tr>
</table>
<br/>

<div align="left">
	<span class="normal">
<?php
  echo "<table cellpadding=5 border=1>";
  echo "<caption align=\"left\">Stats related to regular and fast page access.  Includes the number of times a site was warned, and number of times it was banned.</caption>";
	echo "<thead><tr>";
?>
<th>Host IP Address</th>
<th>Host Name</th>
<th>&nbsp;&nbsp;&nbsp;Time&nbsp;&nbsp;&nbsp;</th>
<th align=center>Page hits</th>
<th>Fast Pages</th>
<th>Warns</th>
<th>Bans</th>
<th>Referer</th>
</tr>
<tr>
<th>
<form action="<?php print($PHP_SELF);?>" method="POST">
<input type="hidden" name="sort" value="addr">
<input type="submit" value="sort"></form>
</th>
<th>
<form action="<?php print($PHP_SELF);?>" method="POST">
<input type="hidden" name="sort" value="host">
<input type="submit" value="sort"></form>
</th>
<th>
<form action="<?php print($PHP_SELF);?>" method="POST">
<input type="hidden" name="sort" value="date">
<input type="submit" value="sort"></form>
</th>
<th>
<form action="<?php print($PHP_SELF);?>" method="POST">
<input type="hidden" name="sort" value="page">
<input type="submit" value="sort"></form>
</th>
<th>&nbsp;</th>
<th>&nbsp;</th>
<th>&nbsp;</th>
<th>&nbsp;</th>
</tr>
</thead>
<?php
while( $row = mysql_fetch_assoc($result))
{
	echo "<tr>";
	echo "<td>$row[host_ip]</td>";
	echo "<td>$row[host_name]</td>";
	echo "<td>" . date("M-d",round($row[hit_time])) . "<br />" .  date("g:ia",round($row[hit_time])). "</td>";
	echo "<td>$row[hit_count]</td>";
	echo "<td>$row[total_rip]</td>";
	echo "<td>$row[hit_warn]</td>";
	echo "<td>$row[hit_ban]</td>";
	echo "<td>$row[hit_refer]&nbsp;</td>";
	echo "</tr>\n";
}
echo "</table><br/><br/>";
?>
	</span>
</div>
</body>
<?php
	tng_footer( "" );
?>
